Download it now!
Bug 55019 - Macro Security setting
Summary: Macro Security setting
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Stephan Bergmann
URL:
Whiteboard: target:3.7.0 target:3.6.3
Keywords:
Depends on:
Blocks: 43489
  Show dependency treegraph
 
Reported: 2012-09-17 14:05 UTC by Tom Funke
Modified: 2012-09-25 15:44 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenschots (170.14 KB, application/vnd.oasis.opendocument.text)
2012-09-17 14:05 UTC, Tom Funke
Details
bt + console logs on master and 3.6 (6.29 KB, application/zip)
2012-09-24 19:02 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Funke 2012-09-17 14:05:42 UTC
Created attachment 67284 [details]
Screenschots

Trying to adjust the macro security level crashes the app.
The windows doesn't open, instead the app crashes immediately.
OS:Win7 x64, LibreOffice v3.6.1.2 Build ID: e29a214
Comment 1 Julien Nabet 2012-09-17 21:08:29 UTC
What Java version(s) do you have?
Did you upgrade Java recently?
Could you rename your LO directory profile and test again? (see http://wiki.documentfoundation.org/UserProfile)
Comment 2 Tom Funke 2012-09-21 13:29:15 UTC
Hello Julien,
i'm using java jre 1.7.0_07 (always updating to the newest version)
i renamed the local profile and afterwards it worked fine.
Thanks a lot.

_________________________
Thomas Funke
Tom@FunkeInter.Net
M.-v.-Richthofen-Str. 20
12101 Berlin-Tempelhof

Tel.  +49  30 789 133 18
Mobil +49 176 481 712 66
_________________________
Skype TomFunke
-----Ursprüngliche Nachricht-----
Von: bugzilla-daemon@freedesktop.org [mailto:bugzilla-daemon@freedesktop.org] 
Gesendet: Montag, 17. September 2012 23:08
An: tom@funkeinter.net
Betreff: [Bug 55019] Macro Security setting

https://bugs.freedesktop.org/show_bug.cgi?id=55019

Julien Nabet <serval2412@yahoo.fr> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|UNCONFIRMED                 |NEEDINFO
                 CC|                            |serval2412@yahoo.fr
     Ever Confirmed|0                           |1

--- Comment #1 from Julien Nabet <serval2412@yahoo.fr> 2012-09-17 21:08:29 UTC
---
What Java version(s) do you have?
Did you upgrade Java recently?
Could you rename your LO directory profile and test again? (see
http://wiki.documentfoundation.org/UserProfile)
Comment 3 Julien Nabet 2012-09-21 13:44:05 UTC
Tom: thank you for your feedback, could you upload in a zip the old LO profile directory?
Comment 4 Tom Funke 2012-09-21 15:36:55 UTC
Hello Julien,
here is the requested zipfile
_________________________
Thomas Funke
Tom@FunkeInter.Net

M.-v.-Richthofen-Str. 20
12101 Berlin-Tempelhof

Tel.  +49  30 789 133 18
Mobil +49 176 481 712 66
_________________________
Skype TomFunke
-----Ursprüngliche Nachricht-----
Von: bugzilla-daemon@freedesktop.org [mailto:bugzilla-daemon@freedesktop.org] 
Gesendet: Freitag, 21. September 2012 15:44
An: tom@funkeinter.net
Betreff: [Bug 55019] Macro Security setting

https://bugs.freedesktop.org/show_bug.cgi?id=55019

--- Comment #3 from Julien Nabet <serval2412@yahoo.fr> 2012-09-21 13:44:05 UTC
---
Tom: thank you for your feedback, could you upload in a zip the old LO profile
directory?
Comment 5 Julien Nabet 2012-09-22 06:06:34 UTC
(In reply to comment #4)
> Hello Julien,
> here is the requested zipfile
The attachment is missing
Comment 6 Tom Funke 2012-09-24 14:25:54 UTC
Hello julien,
the zip-file was too big.
So use the following URL for download:
https://www.file2send.eu/de/download/ZxlvHsq5oQU1tbpOFGiTAHWbSua2xRnYaJ9VH2CV61Y
65BOeFWMz

_________________________
Thomas Funke
Tom@FunkeInter.Net

M.-v.-Richthofen-Str. 20
12101 Berlin-Tempelhof

Tel.  +49  30 789 133 18
Mobil +49 176 481 712 66
_________________________
Skype TomFunke
-----Ursprüngliche Nachricht-----
Von: bugzilla-daemon@freedesktop.org [mailto:bugzilla-daemon@freedesktop.org] 
Gesendet: Samstag, 22. September 2012 08:07
An: tom@funkeinter.net
Betreff: [Bug 55019] Macro Security setting

https://bugs.freedesktop.org/show_bug.cgi?id=55019

--- Comment #5 from Julien Nabet <serval2412@yahoo.fr> 2012-09-22 06:06:34 UTC
---
(In reply to comment #4)
> Hello Julien,
> here is the requested zipfile
The attachment is missing
Comment 7 Julien Nabet 2012-09-24 14:31:24 UTC
Tom: Thank you for your feedback, I put this fdo as a block for fdo#43489 (see https://bugs.freedesktop.org/show_bug.cgi?id=43489)
Comment 8 Julien Nabet 2012-09-24 19:02:02 UTC
Created attachment 67641 [details]
bt + console logs on master and 3.6

On pc Debian x86-64 with master sources and 3.6 both updated today, I reproduced the problem.

With a brand new file, no pb, with the profile attached, pb.

I attached console logs + bt for 3.6 and master. (they're similar but since I made the test for both...)
Comment 9 Julien Nabet 2012-09-24 19:06:12 UTC
Noticed that even if everything is ok, I got this on console:
warn:legacy.osl:24825:1:/home/julien/compile-libreoffice/libo/xmlsecurity/source/xmlsec/nss/nssinitializer.cxx:200: failed to create instance
warn:legacy.osl:24825:1:/home/julien/compile-libreoffice/libo/xmlsecurity/source/xmlsec/nss/nssinitializer.cxx:204: failed to create instance
Comment 10 Julien Nabet 2012-09-24 21:11:14 UTC
Found something interesting.
In 3/user/registrymodifications.xcu of your profile
There is this line:
<item oor:path="/org.openoffice.Office.Common/Security/Scripting/TrustedAuthors"><node oor:name="a0" oor:op="replace"><prop oor:name="RawData" oor:op="fuse"><value></value></prop><prop oor:name="SerialNumber" oor:op="fuse"><value></value></prop><prop oor:name="SubjectName" oor:op="fuse"><value></value></prop></node></item>

and just after another line with "a1" which contain values.
I don't know why "a0" line contains no value but it causes some problem
If you delete the "a0" line it's ok.

Now 3 questions:
- is it a normal "a0" has empty value? (if yes, there's a bug here)
- if not how it appeared?
- would it be better "a1" be replaced by "a0"

Michael: any opinion about this or know someone who may have an useful opinion?
Comment 11 Michael Meeks 2012-09-25 09:24:04 UTC
Stephan - an interesting configmgr related exception/crash - I expect :-)

Some really great debugging and problem isolation from Julien too - thanks for that !
Comment 12 Not Assigned 2012-09-25 13:43:23 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b0c9f3b5f6cc86a94991c5970278f69df15aa7c1

fdo#55019: Cope with empty TrustedAuthor entries



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Stephan Bergmann 2012-09-25 13:48:02 UTC
Whatever caused that empty-valued TrustedAuthor entry to get added, just discard such junk on input, as the processing code can't cope with an empty RawData value.

Requested a backport to libreoffice-3-6 as <https://gerrit.libreoffice.org/#/c/696/>.
Comment 14 Not Assigned 2012-09-25 15:44:51 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=40056c63748367db5ff60151ec2c2cb34e0cf0dd&g=libreoffice-3-6

fdo#55019: Cope with empty TrustedAuthor entries


It will be available in LibreOffice 3.6.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.